Invite users to documents
curl --request POST \
--url https://app.myhero.so/document/invite-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentIds": [
"<string>"
],
"emails": [
"jsmith@example.com"
]
}
'import requests
url = "https://app.myhero.so/document/invite-users"
payload = {
"documentIds": ["<string>"],
"emails": ["jsmith@example.com"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({documentIds: ['<string>'], emails: ['jsmith@example.com']})
};
fetch('https://app.myhero.so/document/invite-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"invitationsSent": 123,
"documentsInvited": 123,
"usersInvited": 123
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Documents
Invite users to documents
Invites one or more users by emails to one or more documentIds at the specified role.
Returns counts of invitations sent, documents invited, and users invited.
POST
/
document
/
invite-users
Invite users to documents
Authorizations
HERO personal access token
Body
application/json
Response
200 response
Show child attributes
Show child attributes
⌘I